﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace ThickerSlider
{
	public class NumericToTextConverter : IValueConverter
	{
		private string[] numbers = {"Zero", "One", "Two", "Three", "Four", "Five",
								   "Six", "Seven", "Eight", "Nine", "Ten"};

		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			return numbers[(int)(double)value];
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
